PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Typedefs
mutex.h File Reference
`#include <ptlib/critsec.h>`
`#include <ptlib/semaphor.h>`
`#include "unix/ptlib/mutex.h"`
Include dependency graph for mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PTimedMutex
| This class defines a thread mutual exclusion object. More...

## Macros
#define | PCriticalSection PTimedMutex

## Typedefs
typedef PTimedMutex | PMutex

## Macro Definition Documentation

#define PCriticalSection PTimedMutex

## Typedef Documentation

typedef PTimedMutex PMutex